<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<body>

<!--
    Top navigation
-->
<th:block th:fragment="navigation(title)">
    <nav class="navbar navbar-default navbar-fixed">
        <div class="container-fluid">

            <div class="navbar-header">
                <a class="navbar-brand" href="#" th:utext="${title}">Table List</a>
            </div>
            <div class="collapse navbar-collapse">
                <ul class="nav navbar-nav navbar-left">
                    <!--<li>
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <i class="fa fa-dashboard"></i>
                        </a>
                    </li>-->


                    <!--<li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <i class="fa fa-globe"></i>
                            <b class="caret"></b>
                            <span class="notification">5</span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a href="#">Notification 1</a></li>
                            <li><a href="#">Notification 2</a></li>
                            <li><a href="#">Notification 3</a></li>
                            <li><a href="#">Notification 4</a></li>
                            <li><a href="#">Another notification</a></li>
                        </ul>
                    </li>-->


                    <!--<li>
                        <a href="">
                            <i class="fa fa-search"></i>
                        </a>
                    </li>-->
                </ul>

                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a href="/cms/auth/logout">
                            Log out
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</th:block>

<!--
    Sidebar navigation
-->
<th:block th:fragment="sidebar(active)">
    <ul class="nav">
        <li th:classappend="${active == 'academy'} ? 'active' : ''">
            <a href="/cms/academy">
                <i class="pe-7s-medal"></i>
                <p>Academy - Courses</p>
            </a>
        </li>
        <li th:classappend="${active == 'quiz'} ? 'active' : ''">
            <a href="/cms/academy/quiz">
                <i class="pe-7s-note2"></i>
                <p>Academy - Quizzes</p>
            </a>
        </li>
        <li th:classappend="${active == 'challenge'} ? 'active' : ''">
            <a href="/cms/challenge">
                <i class="pe-7s-film"></i>
                <p>Challenges<!--<span class="notification">5</span>--></p>
            </a>
        </li>
        <li th:classappend="${active == 'tags'} ? 'active' : ''">
            <a href="/cms/tags">
                <i class="pe-7s-graph1"></i>
                <p>Tags</p>
            </a>
        </li>
    </ul>
</th:block>

<!--
    Notification
-->
<th:block th:fragment="notification(status, back)">
    <div th:if="${status == 'success'}" class="alert alert-success">
        <h4>All data saved successfully</h4>
        <p th:if="${back != null}">You can continue edition or <a th:href="${back}">go back to the list</a></p>
    </div>

    <div th:if="${status == 'error'}" class="alert alert-danger">
        <h4>There was an error while saving data.</h4>
        <p>Please make sure that</p>
        <ul>
            <li>you have filled all text fields</li>
            <li>you have selected at least one value from drop downs</li>
        </ul>
    </div>
</th:block>

</body>
</html>